Mozilla Firefox < 57.0.2 ANGLE Graphics Library RCE

High Nessus Plugin ID 105213


A web browser installed on the remote Windows host is affected by a remote code execution vulnerability.


The version of Mozilla Firefox installed on the remote Windows host is prior to 57.0.2. It is, therefore, affected by a flaw related to handling Direct 3D 9 drawing and validating elements with the ANGLE graphics library that could allow buffer overflows and potentially code execution.


Upgrade to Mozilla Firefox version 57.0.2 or later.

See Also

Plugin Details

Severity: High

ID: 105213

File Name: mozilla_firefox_57_0_2.nasl

Version: $Revision: 1.2 $

Type: local

Agent: windows

Family: Windows

Published: 2017/12/13

Modified: 2017/12/14

Dependencies: 20862

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:firefox

Required KB Items: Mozilla/Firefox/Version

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/12/07

Vulnerability Publication Date: 2017/12/07

Reference Information

CVE: CVE-2017-7845

BID: 102115

OSVDB: 170496

MFSA: 2017-29